Autor Tema: ¿configurar wifi rtl8187 WPA(wpa_supplicant)en ubuntu Edgy 610? (SOLUCIONADO)  (Leído 18095 veces)

Desconectado Jaleos

  • Junior Member
  • **
  • Mensajes: 81
SOLUCIONADO
« Respuesta #20 en: 06 de Abril de 2007, 06:17:28 pm »
Hola empanada, y otros...

Bueno, ¡Ya está!  :-6

Efectivamente, era el driver.
He intentado instalar los que tienen en Realtet, pero no quieren instalarse, falla el "insmod" y el "./makedrv"
La solucion fue con "Ndiswrapper", pero ¡ojo!, no con el driver de XP si no con el W98 que trae el cd de la placa base.
Instalar y asociar fue todo uno  :haha:
El resto, configuracion, etc. hecho como me aconsejabas.
Tengo ya configurada una bonita red de tres pcs, uno de ellos aun con XP.
Dejo aqui un enlace que me dio idea de hacerlo con W98, por si fuera util.
http://ubuntuforums.org/showthread.php?t=275817&page=2

Se esta convirtiendo en costumbre salir de esta web con la sensacion de que es imprescindible, y un saborcillo en en el paladar a buen jamon de pata negra.

Saludos y mil gracias.


DualCore Intel Core2 Duo E6600, 2400 MHz (9x267)
ASUS p5B Deluxe wifi socket LGA 775
512+512 Kingston DDR2-800 (400 MHz)
GeForce 6500 (256 MB) VIVO
Maxtor (250 GB, 7200 RPM,SATA-II)
AVerMedia TV Hybrid+FM A16AR
WXP-Sp2-ubuntu 8.04

Desconectado Liamngls

  • Administrator
  • ******
  • Mensajes: 15640
    • Manuales-e
Re: ¿como configurar tarjeta wifi rtl8187 con WPA(wpa_supplicant)en ubuntu Edgy
« Respuesta #21 en: 06 de Abril de 2007, 06:44:04 pm »
Gracias por comentarlo, damos el tema por solucionado :)

Desconectado empanada

  • Member
  • ***
  • Mensajes: 307
Re: ¿configurar wifi rtl8187 WPA(wpa_supplicant)en ubuntu Edgy 610? (SOLUCIONADO
« Respuesta #22 en: 06 de Abril de 2007, 11:24:45 pm »
Me alegro mucho. Has sido tu solo el que ha solucionado este problema.

En cuanto a la compilación del driver realtek, ¿te has leido los "REDME" y/o "INSTALL" que vendrán en el paquete? Quizás haya algun requerimiento de software que no cumples. Es lo malo de instalar cosas que no están en repositorios, que hay que saber las dependencias e instalarlas "a mano".
Supongo que sabes que has de instalar las kernel-headers-correspondientes a tu kernel para poder compilar módulos para tu kernel, ¿no? Además has de tener la versión adecuada de gcc (ha de ser la misma con la que se compiló tu kernel).
Para saber tu versión de kernel:
Código: [Seleccionar]
$ uname -rPara tener información mas detallada del kernel (incluida la versión de gcc que necesitas):
Código: [Seleccionar]
$ cat /proc/versionPara saber que versiones de gcc tienes instaladas y cual de ellas es la que está como predeterminada:
Código: [Seleccionar]
ls -l /usr/bin/gcc*Verás que /usr/bin/gcc es simplemente un enlace simbólico hacia una versión de gcc. Puedes tener varias versiones de gcc instaladas e usar la que te convenga en cada momento. Pore ejemplo esta es lo que tengo en este sistema desde el que te escribo:
Código: [Seleccionar]
[email protected]:~$ ls -l /usr/bin/gcc*
lrwxrwxrwx 1 root root      7 2007-01-26 01:59 /usr/bin/gcc -> gcc-4.1
-rwxr-xr-x 1 root root  84848 2007-01-01 22:36 /usr/bin/gcc-3.4
-rwxr-xr-x 1 root root  89680 2006-09-04 04:52 /usr/bin/gcc-4.0
-rwxr-xr-x 1 root root 183444 2006-12-10 15:46 /usr/bin/gcc-4.1
lrwxrwxrwx 1 root root     10 2007-01-26 01:59 /usr/bin/gccbug -> gccbug-4.1
-rwxr-xr-x 1 root root  16079 2007-01-01 22:29 /usr/bin/gccbug-3.4
-rwxr-xr-x 1 root root  16203 2006-09-04 04:51 /usr/bin/gccbug-4.0
-rwxr-xr-x 1 root root  16283 2006-12-10 15:44 /usr/bin/gccbug-4.1
-rwxr-xr-x 1 root root   2018 2006-12-20 03:02 /usr/bin/gccmakedep
Saludos
No tengo miedo a morir, tengo miedo a no vivir.
Married to the Blues

Desconectado Jaleos

  • Junior Member
  • **
  • Mensajes: 81
Re: ¿configurar wifi rtl8187 WPA(wpa_supplicant)en ubuntu Edgy 610? (SOLUCIONADO
« Respuesta #23 en: 07 de Abril de 2007, 01:56:02 am »


Citar
Has sido tu solo el que ha solucionado este problema.
:haha: :haha: :haha:  Perdona pero en esto te voy a llevar la contraria  :destroyer:

Los readme e install hacian referencia en unos casos a ./makedrv y en otros a "insmod archivo_del diver.ko" para hacerlo uno a uno.
Supongo que el indicador de la version de gcc que se usa como predeterminada es la que que esta marcada con ->
Código: [Seleccionar]
[email protected]:/home/jaleos# cat /proc/version
Linux version 2.6.17-11-generic ([email protected]) (gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)) #2 SMP Thu Feb 1 19:52:28 UTC 2007 (Ubuntu 2.6.17-11.35-generic)
[email protected]:/home/jaleos# ls -l /usr/bin/gcc*
lrwxrwxrwx 1 root root      7 2007-04-01 21:43 /usr/bin/gcc -> gcc-4.1
-rwxr-xr-x 1 root root 182324 2006-10-08 20:26 /usr/bin/gcc-4.1
lrwxrwxrwx 1 root root     10 2007-04-01 21:43 /usr/bin/gccbug -> gccbug-4.1
-rwxr-xr-x 1 root root  16266 2006-10-08 20:15 /usr/bin/gccbug-4.1
-rwxr-xr-x 1 root root   2013 2006-07-10 15:55 /usr/bin/gccmakedep

No tengo la 3.4 ni la 4.0, quiza fue eso.
Sin embargo en synaptic me sale como instalada la gcc-3.3-base  :???:

Citar
Puedes tener varias versiones de gcc instaladas e usar la que te convenga en cada momento
En el caso de que instale las otras, cual seria el metodo para cambiar y como identifico la que es conveniente?

Tengo Linux kernel headers for version 2.6.17-11-generic y otros tres...entre los varios que aparecen en synaptic.
Tenia tambien instalado el build-essential.
Se que de estos paquetes dependen las compilaciones, no solo para este caso si no para todos, lo que no se es cual para cual debo utilizar, la relacion  version de Kernel>gcc y ó headers>paquete a compilar no la tengo nada clara. No me queda nada......

Saludos.

¡Por cierto! Aun no he configurado el WPA_supplicant, aunque no creo que tarde mucho en caer  :mrgreen:
DualCore Intel Core2 Duo E6600, 2400 MHz (9x267)
ASUS p5B Deluxe wifi socket LGA 775
512+512 Kingston DDR2-800 (400 MHz)
GeForce 6500 (256 MB) VIVO
Maxtor (250 GB, 7200 RPM,SATA-II)
AVerMedia TV Hybrid+FM A16AR
WXP-Sp2-ubuntu 8.04

Desconectado empanada

  • Member
  • ***
  • Mensajes: 307
Re: ¿configurar wifi rtl8187 WPA(wpa_supplicant)en ubuntu Edgy 610? (SOLUCIONADO
« Respuesta #24 en: 10 de Abril de 2007, 12:57:25 am »
Por eso busco que instales los drivers nativos para linux, para que puedas usar wpa por un lado (No creo que haya cambiado: no se podía usar wpa con ndiswrapper, auqnue no lo se porque hace mucho que no lo uso, hace años que no me encuentro tarjetas wifi que no dispongan de drivers nativos para linux)
Editado Si que se puede usar, acabo de encontrarlo al primer "googlazo" (madre que palabro  :mrgreen: ): How to use WPA with ndiswrapper

Por el otro porque será muy didáctico.

En cuanto a  la versión de gcc me cito a mi mismo:
Citar
...has de tener la versión adecuada de gcc (ha de ser la misma con la que se compiló tu kernel).
Y tu mismo te respondes: la salida de cat /proc/version y la de ls -l /bin/gcc* nos dicen que tu kernel está compilado con gcc 4.1 y que precisamente esa es la versión que tienes instalada: 1er requisito cubierto. No te lies con historias raras, Te he puesto un EJEMPLO de salida de ls -l /bin/gcc*. No he dicho que haya de ser idéntico. Yo tengo varias versiones de gcc porque compilo no solo módulos para esta máquina, compilo para otras máquinas e incluso de otras arquitecturas diferentes.

En cuanto a las headers tienes tambien la versión correcta instalada. De todas maneras, un truco en Debian y derivadas para poner un sistema listo para compilar módulos para el kernel , es usar al menos una vez la mejor herramienta creada para esta labor: module-assistant. Un programa creado por Debian para facilitar hasta el límite la instalación de módulos de kernel.
Código: [Seleccionar]
# apt-get install module-assistant
m-a a-i spca5xx

Esto lo que hace es instalar module-assistant en el primer paso y en el segundo, ejecutar la compilación e instalación de un módulo del kernel (en este caso un excelente driver de Michael Xhaard para cientos de webcams) de manera completamente automatizada. El objeto no es en si obtener el módulo correspondiente de spca5xx (que probablemente no necesites), sino preparar al sistema para compilar módulos y probarlo.
Si todo fucniona bien, module-assistant detecta todos los paquetes que tienes instalados, tu kernel, comprueba si tienes las kernel-headers adecuadas, las instala si no las tiene,versión de gcc, etc y configura todas las dependencias. Posteriormente descarga el código fuente del módulo, compila e instala automaticamente el paquete *.deb recien creado, que contiene el módulo binario recién compilado.

Si ejecutas
Código: [Seleccionar]
m-a o bien
Código: [Seleccionar]
module-assistant sin parámetros, se abrirá una interfáz de diálogo con sencillas preguntas que te permiten saber que paquetes fuente hay disponibles en los repositorios, y ejecutar las tareas paso a paso, aunque siempre sin mas que usar cursor  e intro, no hay necesidad de comandos.
 
Ahora me preguntaras si puedes usar module-assistant para compilar tu módulo de realtek, y te diré que no, porque no está disponible como un paquete fuente *.deb en los repositorios (al menos no en Debian, y no creo que tampoco en los de Ubuntu).
El objetivo es simplemente preparar tu sistema (y que sepas que si necesitas un módulo, y está disponible en los repositorios, un simple
Código: [Seleccionar]
m-a a-i nombre_modulo lo hará en  pocos segundos (sobre todo con ese maquinón que gastas ;-) ).

Comprueba con un lspci y leyendo la doc de realtek que estas usando la versión adecuada del driver para la tarjeta que tu tienes.

Postea errores concretos.

Saludos
No tengo miedo a morir, tengo miedo a no vivir.
Married to the Blues

Desconectado Jaleos

  • Junior Member
  • **
  • Mensajes: 81
Re: ¿configurar wifi rtl8187 WPA(wpa_supplicant)en ubuntu Edgy 610? (SOLUCIONADO
« Respuesta #25 en: 16 de Abril de 2007, 06:54:40 pm »
Hola empanada.
Bueno, ya tengo configuradito todo, harwadare, sofware y redes (aun sin WPA, lo hare despues de instalar los drivers nativos), me faltaba, claro, el intenné. ¡Que maravilla el Beryl, vaya juguetel!
Ahora voy hacer una copia de todo con el Partimage, segun está, aunque sabiendo por donde van las cosas es trabajoso. Virgencita que me quede como estoy.  :haha: .

He observado en module-assistant que la lista de paquetes que ofrece para instalar es reducida, y que me ofrece algunos paquetes que ya tengo instalados, como Ndiswrapper o los binarios de Nvidia.
Tengo interes en saber alguna manera de sacar del pozo del sistema todos estos "programitas" como el module-assistant, que tenia instalado, no sabia ni que existiera y mira que majo es :-) .

Esta semana parece que no voy a estar tan liado como la anterior y los instalo, aunque para empezar lo de la identificacion del driver correcto me traera mas de un quebradero.

Citar
Posteriormente descarga el código fuente del módulo, compila e instala automaticamente el paquete *.deb recien creado, que contiene el módulo binario recién compilado.
A lo peor es una chorrada, pero se me a ocurrido que podria pasar los drivers de .tar.gz a .deb a ver si asi tenia menos complicaciones.
¿Existe alguna manera de conseguir el codigo fuente a partir de un .tar.gz, o rpm ? o conseguir pasar de .tar.gz a .deb?. No me importaria intentarlo.

Un saludo.
DualCore Intel Core2 Duo E6600, 2400 MHz (9x267)
ASUS p5B Deluxe wifi socket LGA 775
512+512 Kingston DDR2-800 (400 MHz)
GeForce 6500 (256 MB) VIVO
Maxtor (250 GB, 7200 RPM,SATA-II)
AVerMedia TV Hybrid+FM A16AR
WXP-Sp2-ubuntu 8.04

Desconectado empanada

  • Member
  • ***
  • Mensajes: 307
Re: ¿configurar wifi rtl8187 WPA(wpa_supplicant)en ubuntu Edgy 610? (SOLUCIONADO
« Respuesta #26 en: 16 de Abril de 2007, 09:23:14 pm »
Por supuesto que existe, se llama Alien, pero no va a funcionar. Funciona con la mayor parte de binarios,pero el paquete *.deb lleva incorporados una serie de scripts que están orientados en exclusiva a las herramientas internas de administración de Debian, y que no están incluidos en ese paquete fuente genérico, por lo tanto esa conversión no va a funcionar. De todas maneras aprovecho para desaconsejar la instalación de programas desde fuera de repositorios, no solo en Debian y Ubuntu, también para cualquier otra distro.

Jejeje, si, las chorraditas de Beryl son bastante vistosas y espectaculares. Espero que lo tengas rulando sin glx, ya que funciona mucho mas fluido y consume muchos menos recursos.
Efectivamente los drivers de nvidia están incluidos en los repositorios oficiales en la sección "non-free". Si no los has instaldo desde los repositorios Debian, el día que actualices Xorg es muy probable que te lleves algun disgusto  :-D , porque dicha actualización pisará algunas librerias que instaló el instalador de nvidia (al no estar ese instalador oficial integrado en el sistema apt, Debian no  sabe que esas librerias las puso el, ni gestiona los posibles conflictos con las nuevas librerías).

Te cuelgo mi chuleta del problema que tuve por haber instalado desde el instalador nvidia oficial (en mi caso no me queda mas remedio si quiero Beryl, porque mi tarjeta solo funciona sin glx con 2 o 3 versiones muy concretas del driver nvidia, y ninguna de ellas está empaquetada en los repositorios:
Citar
Tras actualizar xorg, parace no haber problemas...hasta que arrancas Beryl, entonces en vez de arrancar se reinicia y deja un error como este en /var/log/Xorg.0.log.old :

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x81) [0x80c9bd1]
1: [0x327420]

Fatal server error:
Caught signal 11. Server aborting


El problema es que la nueva version de xorg pisa la libreria "/usr/lib/xorg/modules/extensions/libglx.so". Esto es porque tenemos instalado el driver desde el instalador de nvidia (y no desde los *.deb's de los repositorios oficiales). En el caso de la geforce2mx440, no queda mas remedio que usar el instalador de nvidia, pq no estan empaquetadas las 2 unicas versiones que nos sirven para tener las extensiones necesarias para usar beryl sin necesidad de XGL.

La solucion es sencilla:
cp /usr/lib/xorg/modules/extensions/libglx.so /usr/lib/xorg/modules/extensions/libglx.so.old
rm /usr/lib/xorg/modules/extensions/libglx.so
cp /usr/lib/xorg/modules/extensions/libglx.so.1.0.9631 /usr/lib/xorg/modules/extensions/libglx.so

et voila!!! Solo queda reinciar las X para probar beryl.
Los de Ati se pueden compilar con module-assistant añadiendo los repositorios adecuados de Flavio Stanchina en /etc/apt/sources.list .




Partimage está muy bien, pero a mi me gusta aún mas mondorescue. Te permite crear las copias de seguridad con el sistema operativo funcionando, y te crea de un tirón una o varias *.iso arrancables que puedes quemar en CD/DVD. Para instalarlo simplemente
Código: [Seleccionar]
apt-get install mondo mindi Te dejo este enlace: MondoRescue HOWTO

Y una copia de mi chuleta para cuando uso mondo (como es algo que se usa de pascuas a ramos, pues uno puede olvidarse así que...)
Citar
-------------------------------------------------------Preparativos------------------------------------------------------------------
Antes conviene hacer limpieza de temporales (como por ejemplo /var/cache/apt/archives/*) o purgar los log's mas grandes de /var/log. En $HOME tambien puede haber bastante mierda.
Comprobar tamaños de la partición a salvar con df -h.
Tambien conviene quitar todo rastro de otros SO del /etc/lilo.conf antes de salvar(parece que tiene tendencia a dar errores de incongruencias en la tabla de particiones con otros SO¿¿??). Tambien le quito las particiones que no son la "/" o la swap, del /etc/fstab. Los dispositivos extraibles como CD's, DVD's, disqueteras etc, mondo pasa de ellos automáticamente.
Si tienes poco espacio en la partición / (que por defecto es donde va a meter los temporales que usa), entonces hay que "engañarlo". Por defecto usa el directorio "/Dispon". Lo que podemos hacer es crear un directorio que esté ubicado en una partición de datos mas grande, y crear un enlace simbólico  de esta manera:
#ln -s /mnt/hda4/mondotemp /Dispon

Ya estaríamos listos.
------------------------------------------------Creación de la copia de seguridad-----------------------------------------------------------
Para hacer la copia de seguridad usamos mondoarchive sin argumentos (de manera que se ejecuta de modo interactivo).

1º)Escogemos donde queremos guardar la copia, si en CD's, DVD's o en disco duro (tambien hay opción de cintas o discos remotos NFS).
Si escogemos en disco duro nos pedirá el tamaño de las ISO's a crear. Para DVD el máximo es 4380 Mb.

2º)Después nos pregunta el bootdevice (yo lo interpreto como la partición/disco) a guardar. Por defecto nos pone "dev/hda". Si escogemos esta opción ¿intenta guardar todo?. El caso es que como yo no instalo nunca lilo ni grub en el MBR, no detecta cargador de arranque, y pregunta si lo que quieres es copiar en crudo y confiar en tu suerte.Lo que hago es decirle que use como boot device "/dev/hda1", de esa manera reconoce automáticamente el cargador (en este caso LILO) y no nos pregunta ni pio. Después durante la restauración nos da la opción de editar /etc/lilo.conf (y tambien /etc/fstab).
Tambien pregunta el punto de montaje: "/" evidentemente.
Nos pregunta si deseamos excluir algun directorio de la copia: POR SUPUESTO!!. Si no excluimos los directorios de datos nos pueden dar las uvas!!! :-) . Yo por ejemplo le digo que no guarde nada de "/mnt" (o "/media", segun lo que use en /etc/fstab). Se pueden poner diversos directorios, separados por espacios. Ojo, si queremos excluir /mnt por ejemplo, hay que poner "/mnt", no "/mnt/". La 2ª opción en realidad no excluiria nada.

3º)Nos pregunta que si realmente confiamos en nuestro sistema para usarlo como base para construir la imagen de arranque. Evidentemente SI.
Y ya está. Acto seguido comienza la copia propiamente dicha. Primero realiza un índice de archivos a copia,despues crea las imágenes de arranque,  despues copia los archivos "regulares", despues los archivos "grandes", despues vuelca la info al medio deseado (si es que hemos elegido uno extraible(CD, DVD...)). Y listo.
--------------------------------------------------------------------------------------------------------------------------------------------

-----------------------------------------------Restauración de la copia de seguridad--------------------------------------------------------
Yo parto de que ya tenemos previamente particionado y formateado correctamente el disco duro donde vamos a meter la copia. Incluido marcar la partición activa, cosa que mondo NO hace, simplemente vuelca datos donde le digamos. Si nos olvidamos de marcar la partición activa, habrá que hacerlo despues.
De todas maneras hay la opción de particioanr y formatear desde el propio cd (creo que con fdisk).

1º)Arrancamos a huevo desde el medio (CD o DVD).Escojo la opción "expert". Despues, en la consola, escribo "mondorestore". Escojo la opción "interactive", y comenzará el proceso secuencial de restauración. Lo primero que nos pide es editar el mountlist.txt.
Device será el sitio donde queremos poner cada "cosa", por ejemplo una configuración típica sería:

Device                                 Mount point                       Size in Mb
/dev/hda1                              /                                 5000
/dev/hda5                              swap                              256 Mb

En este caso meteriamos / en hda1 y el swap en hda5. Un fallo que tiene es que se le va la pinza y calcula unos tamaños que le sale de los huevos, sin tener en cuenta el tamaño real de la copia ¿¿??. Ademas en ningun momento nos da la info de lo que ocupará la copia una vez volcada, de manera que tenemos que saber cuanto ocupaba antes de realizar la copia, para calcular si nos va a aentrar en la partición donde vamos a volcar.

Despues nos pregunta si queremos modificar la tabla de partciones o formatear. Luego a copiar datos como loco. Tras terminar, nos pregunta si hemos editado mountlist.txt (es muy probable que lo hayamos hecho), así que en ese caso, nos da la opción de editar "/etc/fstab" y "/etc/lilo.conf", para que coincida con la nueva disposición de particiones. Repito lo dicho al comienzo: ##conviene quitar todo rastro de otros SO del /etc/lilo.conf antes de salvar(parece que tiene tendencia a dar errores de incongruencias en la tabla de particiones con otros SO¿¿??)##.
¡¡¡Mucho ojo en esta parte, es delicada. Si metemos la pata seguramente nos toque volver a repetir la restauración!!!
Por ejemplo, siguiendo con el ejemplo anterior, si el mountlist.txt que deseamos era el anterior (/ en hda1 y el swap en hda5), pero, por ejemplo, / proviene de un esquema donde estaba en /dev/hda3 y swap en /dev/hda4, entonces, en el lilo.conf viejo teníamos una línea así:
"boot=/dev/hda3" que debemos cambiar a esta otra "boot=/dev/hda1".
Si algo falla podemos volver a la shell para efectuar algun cambio:
-----------------------------------
bash# mount-me
bash# chroot /mnt/RESTORING
 
bash# lilo OR grub-install '(hd0)'
bash# exit
bash# unmount-me
-----------------------------------

En /etc/fstab algo similar:
#/etc/fstab viejo
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0

/dev/fd0        /mnt/floppy     auto    rw,noauto,user,sync     0 0

/dev/hda3       /               ext3    defaults,errors=remount-ro 0  1
/dev/hda4       none            swap    sw              0       0
/dev/hdd        /media/cdrom0   udf,iso9660 ro,user,noauto  0       0
------------------------------------------------------------------------
#/etc/fstab nuevo
# <file system> <mount point>   <type>  <options>       <dump>  <pass>
proc            /proc           proc    defaults        0       0

/dev/fd0        /mnt/floppy     auto    rw,noauto,user,sync     0 0

/dev/hda1       /               ext3    defaults,errors=remount-ro 0  1
/dev/hda5       none            swap    sw              0       0
/dev/hdd        /media/cdrom0   udf,iso9660 ro,user,noauto  0       0


Si todo va bien, reiniciar.... et voilà!!!!!!
--------------------------------------------------------------------------------------------------------------------------------------------

 





No tengo miedo a morir, tengo miedo a no vivir.
Married to the Blues

 

Aviso Legal | Política de Privacidad | Política de Cookies

el contenido de la web se rige bajo licencia
Creative Commons License